SDL_JoyDeviceEvent(3type)

NAME
SDL_JoyDeviceEvent - Joystick device event structure (event.jdevice.*)

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_JoyDeviceEvent
{
    SDL_EventType type; /**< SDL_EVENT_JOYSTICK_ADDED or SDL_EVENT_JOYSTICK_REMOVED or SDL_EVENT_JOYSTICK_UPDATE_COMPLETE */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_JoystickID which;       /**< The joystick instance id */
} SDL_JoyDeviceEvent;

DESCRIPTION
SDL will send JOYSTICK_ADDED events for devices that are already plugged in during SDL_Init .

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GamepadDeviceEvent(3type)